# Uses of Class
org.springframework.web.servlet.mvc.condition.RequestConditionHolder

Packages that use RequestConditionHolder
Package
Description
org.springframework.web.servlet.mvc.condition
Common MVC logic for matching incoming requests based on conditions.

## Uses of RequestConditionHolder in org.springframework.web.servlet.mvc.condition

Methods in org.springframework.web.servlet.mvc.condition that return RequestConditionHolder
Modifier and Type
Method
Description
`RequestConditionHolder`
RequestConditionHolder.`combine(RequestConditionHolder other)`
Combine the request conditions held by the two RequestConditionHolder instances after making sure the conditions are of the same type.
`RequestConditionHolder`
RequestConditionHolder.`getMatchingCondition(HttpServletRequest request)`
Get the matching condition for the held request condition wrap it in a new RequestConditionHolder instance.
Methods in org.springframework.web.servlet.mvc.condition with parameters of type RequestConditionHolder
Modifier and Type
Method
Description
`RequestConditionHolder`
RequestConditionHolder.`combine(RequestConditionHolder other)`
Combine the request conditions held by the two RequestConditionHolder instances after making sure the conditions are of the same type.
`int`
RequestConditionHolder.`compareTo(RequestConditionHolder other, HttpServletRequest request)`
Compare the request conditions held by the two RequestConditionHolder instances after making sure the conditions are of the same type.